Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(771)

Issue 2646093002: Move //content/browser/device_sensor/ into device/sensors (Closed)

Created:
11 months ago by ke.he
Modified:
10 months, 1 week ago
CC:
chromium-reviews, creis+watch_chromium.org, darin-cc_chromium.org, jam, mac-reviews_chromium.org, mlamouri+watch-content_chromium.org, mlamouri+watch-sensors_chromium.org, nasko+codewatch_chromium.org, riju_
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Move //content/browser/device_sensor/ into device/sensors This patch moves device_sensor related files out of //content/browser and into //device/sensors. In next patch we will port it into Device Service. The file DeviceSensors.java and DeviceSensorsTest.java are also moved into //device. The device_sensor_browsertest.cc is still in //content/browser/device_sensor/ BUG=612322 Review-Url: https://codereview.chromium.org/2646093002 Cr-Commit-Position: refs/heads/master@{#447770} Committed: https://chromium.googlesource.com/chromium/src/+/48ce2ae57a453067012e318d07a44bafe6c752b1

Patch Set 1 #

Patch Set 2 : Move //content/browser/device_sensor/ into device/sensors #

Patch Set 3 : Move //content/browser/device_sensor/ into device/sensors #

Patch Set 4 : build pass in android/cros/linux #

Patch Set 5 : content_browsertest #

Patch Set 6 : android device_unittest build pass #

Patch Set 7 : device_unittest, add java dep for android build #

Patch Set 8 : fixing build for mac and win #

Patch Set 9 : fixing mac build #

Patch Set 10 : fixing win build #

Patch Set 11 : add non_exported_base() #

Patch Set 12 : update git log #

Total comments: 9

Patch Set 13 : Move //content/browser/device_sensor/ into device/sensors #

Patch Set 14 : revert formatchanges #

Patch Set 15 : revert formatchanges #

Total comments: 4

Patch Set 16 : Move //content/browser/device_sensor/ into device/sensors #

Patch Set 17 : move devicesensortest.java into //device #

Patch Set 18 : code rebaes #

Patch Set 19 : gn format & code rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+425 lines, -5395 lines) Patch
M content/app/BUILD.gn View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/app/DEPS View 1 1 chunk +1 line, -0 lines 0 comments Download
M content/app/android/library_loader_hooks.cc View 1 2 chunks +4 lines, -0 lines 0 comments Download
M content/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 7 chunks +1 line, -26 lines 0 comments Download
M content/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -1 line 0 comments Download
M content/browser/android/browser_jni_registrar.cc View 1 2 chunks +0 lines, -2 lines 0 comments Download
M content/browser/browser_main_loop.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 3 chunks +2 lines, -2 lines 0 comments Download
M content/browser/device_sensors/DEPS View 1 chunk +0 lines, -1 line 0 comments Download
D content/browser/device_sensors/ambient_light_mac.h View 1 chunk +0 lines, -43 lines 0 comments Download
D content/browser/device_sensors/ambient_light_mac.cc View 1 chunk +0 lines, -80 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory.h View 1 chunk +0 lines, -90 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_android.cc View 1 chunk +0 lines, -74 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_base.h View 1 chunk +0 lines, -103 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_base.cc View 1 chunk +0 lines, -246 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_base_unittest.cc View 1 chunk +0 lines, -609 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_chromeos.cc View 1 chunk +0 lines, -72 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_default.cc View 1 chunk +0 lines, -95 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_mac.cc View 1 chunk +0 lines, -260 lines 0 comments Download
D content/browser/device_sensors/data_fetcher_shared_memory_win.cc View 1 chunk +0 lines, -497 lines 0 comments Download
M content/browser/device_sensors/device_sensor_browsertest.cc View 1 2 3 4 9 chunks +25 lines, -23 lines 0 comments Download
D content/browser/device_sensors/device_sensor_host.h View 1 chunk +0 lines, -53 lines 0 comments Download
D content/browser/device_sensors/device_sensor_host.cc View 1 chunk +0 lines, -72 lines 0 comments Download
D content/browser/device_sensors/device_sensor_service.h View 1 chunk +0 lines, -73 lines 0 comments Download
D content/browser/device_sensors/device_sensor_service.cc View 1 chunk +0 lines, -113 lines 0 comments Download
D content/browser/device_sensors/device_sensors_consts.h View 1 chunk +0 lines, -39 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_android.h View 1 chunk +0 lines, -158 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_android.cc View 1 chunk +0 lines, -454 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_android_unittest.cc View 1 chunk +0 lines, -192 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_chromeos.h View 1 chunk +0 lines, -69 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_chromeos.cc View 1 chunk +0 lines, -168 lines 0 comments Download
D content/browser/device_sensors/sensor_manager_chromeos_unittest.cc View 1 chunk +0 lines, -229 lines 0 comments Download
M content/browser/renderer_host/render_process_host_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 3 chunks +13 lines, -9 lines 0 comments Download
M content/common/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +0 lines, -1 line 0 comments Download
M content/public/android/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 5 chunks +1 line, -5 lines 0 comments Download
D content/public/android/java/src/org/chromium/content/browser/DeviceSensors.java View 1 1 chunk +0 lines, -703 lines 0 comments Download
M content/public/android/javatests/src/org/chromium/content/browser/DeviceSensorsTest.java View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +0 lines, -652 lines 0 comments Download
M content/renderer/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
M content/renderer/device_sensors/device_light_event_pump.h View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/device_sensors/device_light_event_pump.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/renderer/device_sensors/device_light_event_pump_unittest.cc View 6 chunks +11 lines, -11 lines 0 comments Download
M content/renderer/device_sensors/device_motion_event_pump_unittest.cc View 2 chunks +7 lines, -6 lines 0 comments Download
M content/renderer/device_sensors/device_orientation_event_pump_unittest.cc View 2 chunks +7 lines, -5 lines 0 comments Download
M content/shell/android/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 1 chunk +1 line, -0 lines 0 comments Download
M content/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 2 chunks +1 line, -3 lines 0 comments Download
M device/BUILD.gn View 1 2 3 4 5 6 4 chunks +8 lines, -0 lines 0 comments Download
A device/sensors/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 chunk +110 lines, -0 lines 0 comments Download
A + device/sensors/DEPS View 1 chunk +2 lines, -1 line 0 comments Download
A + device/sensors/ambient_light_mac.h View 1 2 3 4 5 6 7 3 chunks +5 lines, -5 lines 0 comments Download
A + device/sensors/ambient_light_mac.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 2 chunks +3 lines, -3 lines 0 comments Download
A device/sensors/android/device_sensor_jni_registrar.h View 1 1 chunk +20 lines, -0 lines 0 comments Download
A device/sensors/android/device_sensor_jni_registrar.cc View 1 1 chunk +27 lines, -0 lines 0 comments Download
A + device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +3 lines, -3 lines 0 comments Download
A + device/sensors/android/javatests/src/org/chromium/device/sensors/DeviceSensorsTest.java View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +1 line, -1 line 0 comments Download
A + device/sensors/data_fetcher_shared_memory.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +7 lines, -7 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_android.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +4 lines, -4 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_base.h View 3 chunks +8 lines, -8 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_base.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +3 lines, -3 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_base_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +3 lines, -3 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_chromeos.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +4 lines, -4 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_default.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +6 lines, -6 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_mac.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 5 chunks +8 lines, -13 lines 0 comments Download
A + device/sensors/data_fetcher_shared_memory_win.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +4 lines, -5 lines 0 comments Download
A device/sensors/device_sensor_export.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +29 lines, -0 lines 0 comments Download
A + device/sensors/device_sensor_host.h View 1 2 3 4 5 6 7 8 9 10 2 chunks +7 lines, -7 lines 0 comments Download
A + device/sensors/device_sensor_host.cc View 2 chunks +15 lines, -12 lines 0 comments Download
A + device/sensors/device_sensor_service.h View 3 chunks +8 lines, -8 lines 0 comments Download
A + device/sensors/device_sensor_service.cc View 2 chunks +4 lines, -4 lines 0 comments Download
A + device/sensors/device_sensors_consts.h View 1 2 chunks +6 lines, -6 lines 0 comments Download
M device/sensors/public/cpp/device_light_data.h View 2 chunks +2 lines, -2 lines 0 comments Download
M device/sensors/public/cpp/device_light_hardware_buffer.h View 1 chunk +3 lines, -4 lines 0 comments Download
M device/sensors/public/cpp/device_motion_hardware_buffer.h View 1 chunk +3 lines, -3 lines 0 comments Download
M device/sensors/public/cpp/device_orientation_hardware_buffer.h View 1 chunk +3 lines, -3 lines 0 comments Download
A + device/sensors/sensor_manager_android.h View 1 5 chunks +9 lines, -9 lines 0 comments Download
A + device/sensors/sensor_manager_android.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 5 chunks +11 lines, -10 lines 0 comments Download
A + device/sensors/sensor_manager_android_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 2 chunks +4 lines, -4 lines 0 comments Download
A + device/sensors/sensor_manager_chromeos.h View 2 chunks +7 lines, -7 lines 0 comments Download
A + device/sensors/sensor_manager_chromeos.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +4 lines, -4 lines 0 comments Download
A + device/sensors/sensor_manager_chromeos_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +5 lines, -5 lines 0 comments Download

Messages

Total messages: 108 (75 generated)
ke.he
Hi, Colin, PTAL on this, Thanks:)
10 months, 3 weeks ago (2017-01-26 13:06:33 UTC) #44
timvolodine
shouldn't the //content/browser/device_sensor/ go into device/sensors/browser? also, is the reformatting in most files due to ...
10 months, 3 weeks ago (2017-01-26 14:01:16 UTC) #46
ke.he
Hi, timvolodine@, thank you! Yes the format was changed by "git cl format" command. I ...
10 months, 3 weeks ago (2017-01-26 15:33:22 UTC) #49
ke.he
timvolodine@, CL updated, PTAL. In sensor_manager_chromeos.cc it depends on ui/gfx. Thanks!
10 months, 3 weeks ago (2017-01-27 07:22:01 UTC) #54
blundell
Tim: It is not necessary to put the code under a browser/ subdir in //device ...
10 months, 3 weeks ago (2017-01-27 14:25:13 UTC) #55
blundell
Tim: It is not necessary to put the code under a browser/ subdir in //device ...
10 months, 3 weeks ago (2017-01-27 14:25:14 UTC) #56
ke.he
Hi, Colin, Hi, Tim, I have reverted the format changes. I'll submit another CL for ...
10 months, 3 weeks ago (2017-01-28 03:06:36 UTC) #59
blundell
lgtm, thanks! https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc File device/sensors/data_fetcher_shared_memory_mac.cc (right): https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc#newcode20 device/sensors/data_fetcher_shared_memory_mac.cc:20: void FetchLight(device::AmbientLightSensor* sensor, nit: just put the ...
10 months, 3 weeks ago (2017-01-30 14:06:05 UTC) #62
ke.he
Hi, Colin, thanks! Hi, Tim, Could you PTAL on the whole CL. jam@, Could you ...
10 months, 3 weeks ago (2017-01-30 15:08:56 UTC) #64
blundell
https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc File device/sensors/data_fetcher_shared_memory_mac.cc (right): https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc#newcode20 device/sensors/data_fetcher_shared_memory_mac.cc:20: void FetchLight(device::AmbientLightSensor* sensor, On 2017/01/30 15:08:56, ke.he wrote: > ...
10 months, 3 weeks ago (2017-01-30 15:12:35 UTC) #65
ke.he
https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc File device/sensors/data_fetcher_shared_memory_mac.cc (right): https://codereview.chromium.org/2646093002/diff/300001/device/sensors/data_fetcher_shared_memory_mac.cc#newcode20 device/sensors/data_fetcher_shared_memory_mac.cc:20: void FetchLight(device::AmbientLightSensor* sensor, On 2017/01/30 15:12:35, blundell wrote: > ...
10 months, 3 weeks ago (2017-01-30 15:26:22 UTC) #68
jam
content other than device_sensor directories lgtm (for those subdirs I defer to Tim
10 months, 2 weeks ago (2017-01-31 06:37:45 UTC) #71
timvolodine
https://codereview.chromium.org/2646093002/diff/240001/device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java File device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java (right): https://codereview.chromium.org/2646093002/diff/240001/device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java#newcode73 device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java:73: public static final Set<Integer> DEVICE_ORIENTATION_SENSORS_A = On 2017/01/26 15:33:22, ...
10 months, 2 weeks ago (2017-01-31 07:13:15 UTC) #72
timvolodine
On 2017/01/27 14:25:14, blundell wrote: > Tim: It is not necessary to put the code ...
10 months, 2 weeks ago (2017-01-31 07:18:58 UTC) #73
blundell
On 2017/01/31 07:13:15, timvolodine wrote: > https://codereview.chromium.org/2646093002/diff/240001/device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java > File > device/sensors/android/java/src/org/chromium/device/sensors/DeviceSensors.java > (right): > > ...
10 months, 2 weeks ago (2017-01-31 11:45:48 UTC) #74
blundell
On 2017/01/31 07:18:58, timvolodine wrote: > On 2017/01/27 14:25:14, blundell wrote: > > Tim: It ...
10 months, 2 weeks ago (2017-01-31 11:48:12 UTC) #75
ke.he
Colin, Tim: DeviceSensorsTest.java has been moved into device. PTAL. Thanks:)
10 months, 2 weeks ago (2017-02-01 13:50:42 UTC) #78
timvolodine
On 2017/01/31 11:48:12, blundell wrote: > On 2017/01/31 07:18:58, timvolodine wrote: > > On 2017/01/27 ...
10 months, 2 weeks ago (2017-02-02 02:09:35 UTC) #81
timvolodine
On 2017/02/01 13:50:42, ke.he wrote: > Colin, Tim: DeviceSensorsTest.java has been moved into device. PTAL. ...
10 months, 2 weeks ago (2017-02-02 02:11:33 UTC) #82
timvolodine
On 2017/02/02 02:11:33, timvolodine wrote: > On 2017/02/01 13:50:42, ke.he wrote: > > Colin, Tim: ...
10 months, 2 weeks ago (2017-02-02 02:14:38 UTC) #83
blundell
still lgtm On 2017/02/02 02:14:38, timvolodine wrote: > On 2017/02/02 02:11:33, timvolodine wrote: > > ...
10 months, 2 weeks ago (2017-02-02 08:35:59 UTC) #84
ke.he
On 2017/02/02 08:35:59, blundell wrote: > still lgtm > > On 2017/02/02 02:14:38, timvolodine wrote: ...
10 months, 2 weeks ago (2017-02-02 12:41:05 UTC) #86
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2646093002/340001
10 months, 2 weeks ago (2017-02-02 12:42:09 UTC) #89
commit-bot: I haz the power
Failed to apply patch for content/browser/BUILD.gn: While running git apply --index -p1; error: patch failed: ...
10 months, 2 weeks ago (2017-02-02 12:55:27 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2646093002/360001
10 months, 2 weeks ago (2017-02-02 13:03:46 UTC) #94
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_tsan_rel_ng/builds/7784)
10 months, 2 weeks ago (2017-02-02 13:11:17 UTC) #96
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2646093002/380001
10 months, 2 weeks ago (2017-02-02 14:12:03 UTC) #99
commit-bot: I haz the power
Committed patchset #19 (id:380001) as https://chromium.googlesource.com/chromium/src/+/48ce2ae57a453067012e318d07a44bafe6c752b1
10 months, 2 weeks ago (2017-02-02 15:32:47 UTC) #102
ortuno
I might be wrong but I think this causes all of blink to be compiled ...
10 months, 2 weeks ago (2017-02-03 20:51:50 UTC) #104
ke.he
On 2017/02/03 20:51:50, ortuno wrote: > I might be wrong but I think this causes ...
10 months, 2 weeks ago (2017-02-04 05:57:06 UTC) #105
blundell
On 2017/02/04 05:57:06, ke.he wrote: > On 2017/02/03 20:51:50, ortuno wrote: > > I might ...
10 months, 2 weeks ago (2017-02-06 14:56:27 UTC) #106
ke.he
On 2017/02/06 14:56:27, blundell wrote: > On 2017/02/04 05:57:06, ke.he wrote: > > On 2017/02/03 ...
10 months, 1 week ago (2017-02-07 08:04:04 UTC) #107
blundell
10 months, 1 week ago (2017-02-07 15:38:57 UTC) #108
Message was sent while issue was closed.
OK, that seems correct to me after all. Can you add a TODO to remove this
dependency when https://bugs.chromium.org/p/chromium/issues/detail?id=686709 is
fixed?

Powered by Google App Engine
This is Rietveld 0eb02b776